package cn.com.qmth.examcloud.core.oe.student.service;

import java.util.List;

import cn.com.qmth.examcloud.core.oe.student.bean.ExamStudentInfo;
import cn.com.qmth.examcloud.core.oe.common.entity.ExamStudentEntity;
import cn.com.qmth.examcloud.examwork.api.bean.ExamBean;

/**
 * 
 * @author  	chenken
 * @date    	2018年8月13日 下午2:45:21
 * @company 	QMTH
 * @description 考生服务接口
 */
public interface ExamStudentService {

	/**
	 * 获取在线考试待考列表
	 * @param studentId
	 * @return
	 */
	public List<ExamStudentInfo> queryOnlineExamList(Long studentId);
	
	/**
	 * 统计剩余考试次数
	 * @param examStudentInfo
	 * @return
	 */
	public Integer countExamTimes(ExamStudentEntity examStudentInfo,ExamBean examBean);
	
	/**
	 * 开始考试时，更新考生信息
	 * @param examStudentInfo
	 * @param examBean
	 */
	public ExamStudentEntity updateExamStudentByStartExam(ExamStudentEntity examStudentEntity,ExamBean examBean);
}
