package cn.com.qmth.examcloud.core.oe.student.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.basic.api.bean.CourseBean;
import cn.com.qmth.examcloud.core.oe.common.entity.ExamRecordEntity;
import cn.com.qmth.examcloud.core.oe.common.entity.ExamStudentEntity;
import cn.com.qmth.examcloud.core.oe.common.enums.ExamType;
import cn.com.qmth.examcloud.core.oe.common.repository.ExamRecordRepo;
import cn.com.qmth.examcloud.core.oe.student.service.ExamRecordService;
import cn.com.qmth.examcloud.examwork.api.bean.ExamBean;

/**
 * 
 * @author  	chenken
 * @date    	2018年9月1日 上午10:25:41
 * @company 	QMTH
 * @description 考试记录服务实现
 */
@Service("examRecordService")
public class ExamRecordServiceImpl implements ExamRecordService{
	
	@Autowired
	private ExamRecordRepo examRecordRepo;

	@Override
	public ExamRecordEntity createExamRecord(ExamStudentEntity examStudent, 
											 ExamBean examBean,
											 CourseBean courseBean, 
											 String basePaperId,
											 String paperStructId) {
		ExamRecordEntity examRecordEntity = new ExamRecordEntity();
        examRecordEntity.setExamId(examBean.getId());
        examRecordEntity.setExamType(ExamType.strToEnum(examBean.getExamType()));
        
        examRecordEntity.setExamStudentId(examStudent.getExamStudentId());
        examRecordEntity.setStudentId(examStudent.getStudentId());
        examRecordEntity.setStudentCode(examStudent.getStudentCode());
        examRecordEntity.setStudentName(examStudent.getStudentName());
        examRecordEntity.setIdentityNumber(examStudent.getIdentityNumber());
        examRecordEntity.setOrgId(examStudent.getOrgId());
        examRecordEntity.setRootOrgId(examStudent.getRootOrgId());
        
        examRecordEntity.setCourseId(courseBean.getId());
        examRecordEntity.setCourseLevel(examStudent.getCourseLevel());
        examRecordEntity.setBasePaperId(basePaperId);
        
        examRecordEntity.setPaperType(examStudent.getPaperType());
        examRecordEntity.setPaperStructId(paperStructId);
        
        examRecordEntity.setInfoCollector(examStudent.getInfoCollector());
        return examRecordRepo.save(examRecordEntity);
	}

}
